## org.eclipse.datatools.sqltools.routineeditor.ui.actions
Class RoutineAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.common.ui.actions.CommonSQLObjectAction
                      org.eclipse.datatools.sqltools.routineeditor.ui.actions.RoutineAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

Direct Known Subclasses:
  DebugAction, DropRoutineAction, EditRoutineAction, RunAction

    public abstract class RoutineAction

extends CommonSQLObjectAction
implements org.eclipse.ui.IActionDelegate

Author:
  Hui Cao

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`RoutineAction()`
`RoutineAction(java.lang.Object selectedResource)` Constructs a CommonSQLObjectAction from the selected resource.

Method Summary

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.actions.CommonSQLObjectAction
`getConnectionProfile, selectionChanged, setActivePart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### RoutineAction

    public RoutineAction()

### RoutineAction

    public RoutineAction(java.lang.Object selectedResource)

  Constructs a CommonSQLObjectAction from the selected resource. This happens when this action is instantiated by the common action provider.